curl --request GET \
--url https://api.nuwebgroup.com/v1/entry/tickets \
--header 'Authorization: Bearer <token>'{
"content": [
{
"const": {
"barcode": "97WG2VGJK2",
"secureBarcodeSeed": "77754ecf5922f5a20f601832b0182ac72f4cc138217d90c40ebeeedd7dac7ee1",
"customerId": 1,
"transactionId": "RO3PMNGE1N",
"type": "ipsum debitis EDITED",
"typeDuringSale": "ipsum debitis ORIGINAL",
"typeId": 1
},
"id": 1,
"stable": {
"customerName": "Walton Buckridge",
"customerEmail": "walton.buckridge@example.com",
"dataCaptureAnswers": [],
"nationalId": null,
"passport": null,
"price": 500,
"validFrom": "2021-11-22T11:59:00.000000Z",
"validTo": "2021-11-22T11:59:00.000000Z",
"orderNotes": null,
"itemNotes": null
},
"variable": [],
"zoneData": {
"accessToZones": [
{
"id": 1
}
],
"scans": [
{
"zoneId": 1,
"scan": "in",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"uuid": "9accd6f2-39de-4608-b315-d925544a4e33"
}
]
}
},
{
"const": {
"barcode": "V6R5X15749",
"customerId": 2,
"transactionId": "X7K2MNPQ4R",
"type": "ut ipsam",
"typeDuringSale": "ut ipsam",
"typeId": 2
},
"id": 2,
"stable": {
"customerName": "Carey Gerlach MD",
"customerEmail": "carey.gerlach@example.com",
"dataCaptureAnswers": [
{
"answer": "Some random answer for order two",
"id": 1
}
],
"nationalId": null,
"passport": null,
"price": 400,
"validFrom": null,
"validTo": null,
"orderNotes": null,
"itemNotes": null
},
"variable": [],
"zoneData": {
"accessToZones": [
{
"id": 1
}
],
"scans": [
{
"zoneId": 1,
"scan": "in",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"uuid": "9accd6f2-39de-4608-b315-d925544a4e33"
}
]
}
},
{
"const": {
"barcode": "DOWG4RGL07",
"customerId": 3,
"transactionId": "W5JHNB8T2L",
"type": "id et",
"typeDuringSale": "id et",
"typeId": 3
},
"id": 3,
"stable": {
"customerName": "Kendall Wiegand",
"customerEmail": "kendall.wiegand@example.com",
"dataCaptureAnswers": [],
"nationalId": null,
"passport": null,
"price": 300,
"validFrom": null,
"validTo": null,
"orderNotes": null,
"itemNotes": null
},
"variable": {
"nfcId": null,
"scannedBy": "Mrs. Lucinda Dach III",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"status": "scanned",
"ticketsInOrderCount": 1,
"ticketsInOrderScanned": 1
},
"zoneData": {
"accessToZones": [
{
"id": 1
}
],
"scans": [
{
"zoneId": 1,
"scan": "in",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"uuid": "9accd6f2-39de-4608-b315-d925544a4e33"
}
]
}
},
{
"const": {
"barcode": "XR15905WD4",
"customerId": 4,
"transactionId": "P9QRTV6K3M",
"type": "hic aut",
"typeDuringSale": "hic aut",
"typeId": 4
},
"id": 4,
"stable": {
"customerName": "Pascale McGlynn",
"customerEmail": "pascale.mcglynn@example.com",
"dataCaptureAnswers": [
{
"answer": "Some random answer for order four",
"id": 2
},
{
"answer": [
1,
2
],
"id": 3
}
],
"nationalId": null,
"passport": null,
"price": 200,
"validFrom": null,
"validTo": null,
"orderNotes": null,
"itemNotes": null
},
"variable": {
"nfcId": null,
"scannedBy": "Mrs. Lucinda Dach III",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"status": "scanned",
"ticketsInOrderCount": 1,
"ticketsInOrderScanned": 1
},
"zoneData": {
"accessToZones": [
{
"id": 1
}
],
"scans": [
{
"zoneId": 1,
"scan": "in",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"uuid": "9accd6f2-39de-4608-b315-d925544a4e33"
}
]
}
}
],
"listEndTime": "2021-11-22T11:59:00.000000Z",
"total": 4,
"pagination": {
"first": "http:\\/\\/api.oconner.com\\/v1\\/events\\/tickets?event_id=1&page=1",
"last": "http:\\/\\/api.oconner.com\\/v1\\/events\\/tickets?event_id=1&page=1",
"prev": null,
"next": null,
"self": "http:\\/\\/api.oconner.com\\/v1\\/events\\/tickets?event_id=1&page=1"
},
"dataCaptureQuestions": [
{
"id": 1,
"question": "Atque sit beatae temporibus autem quam voluptas.",
"availableOptions": []
},
{
"id": 2,
"question": "Aut omnis perspiciatis praesentium saepe.",
"availableOptions": []
},
{
"id": 3,
"question": "Culpa et maiores ad molestiae consequatur vel.",
"availableOptions": [
{
"id": 1,
"value": "amet"
},
{
"id": 2,
"value": "voluptate"
},
{
"id": 3,
"value": "adipisci"
},
{
"id": 4,
"value": "voluptates"
},
{
"id": 5,
"value": "tenetur"
}
]
}
]
}Retrieve a list of tickets that are valid for entry for a given event ID, including season tickets, addon tickets and optionally products too.
curl --request GET \
--url https://api.nuwebgroup.com/v1/entry/tickets \
--header 'Authorization: Bearer <token>'{
"content": [
{
"const": {
"barcode": "97WG2VGJK2",
"secureBarcodeSeed": "77754ecf5922f5a20f601832b0182ac72f4cc138217d90c40ebeeedd7dac7ee1",
"customerId": 1,
"transactionId": "RO3PMNGE1N",
"type": "ipsum debitis EDITED",
"typeDuringSale": "ipsum debitis ORIGINAL",
"typeId": 1
},
"id": 1,
"stable": {
"customerName": "Walton Buckridge",
"customerEmail": "walton.buckridge@example.com",
"dataCaptureAnswers": [],
"nationalId": null,
"passport": null,
"price": 500,
"validFrom": "2021-11-22T11:59:00.000000Z",
"validTo": "2021-11-22T11:59:00.000000Z",
"orderNotes": null,
"itemNotes": null
},
"variable": [],
"zoneData": {
"accessToZones": [
{
"id": 1
}
],
"scans": [
{
"zoneId": 1,
"scan": "in",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"uuid": "9accd6f2-39de-4608-b315-d925544a4e33"
}
]
}
},
{
"const": {
"barcode": "V6R5X15749",
"customerId": 2,
"transactionId": "X7K2MNPQ4R",
"type": "ut ipsam",
"typeDuringSale": "ut ipsam",
"typeId": 2
},
"id": 2,
"stable": {
"customerName": "Carey Gerlach MD",
"customerEmail": "carey.gerlach@example.com",
"dataCaptureAnswers": [
{
"answer": "Some random answer for order two",
"id": 1
}
],
"nationalId": null,
"passport": null,
"price": 400,
"validFrom": null,
"validTo": null,
"orderNotes": null,
"itemNotes": null
},
"variable": [],
"zoneData": {
"accessToZones": [
{
"id": 1
}
],
"scans": [
{
"zoneId": 1,
"scan": "in",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"uuid": "9accd6f2-39de-4608-b315-d925544a4e33"
}
]
}
},
{
"const": {
"barcode": "DOWG4RGL07",
"customerId": 3,
"transactionId": "W5JHNB8T2L",
"type": "id et",
"typeDuringSale": "id et",
"typeId": 3
},
"id": 3,
"stable": {
"customerName": "Kendall Wiegand",
"customerEmail": "kendall.wiegand@example.com",
"dataCaptureAnswers": [],
"nationalId": null,
"passport": null,
"price": 300,
"validFrom": null,
"validTo": null,
"orderNotes": null,
"itemNotes": null
},
"variable": {
"nfcId": null,
"scannedBy": "Mrs. Lucinda Dach III",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"status": "scanned",
"ticketsInOrderCount": 1,
"ticketsInOrderScanned": 1
},
"zoneData": {
"accessToZones": [
{
"id": 1
}
],
"scans": [
{
"zoneId": 1,
"scan": "in",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"uuid": "9accd6f2-39de-4608-b315-d925544a4e33"
}
]
}
},
{
"const": {
"barcode": "XR15905WD4",
"customerId": 4,
"transactionId": "P9QRTV6K3M",
"type": "hic aut",
"typeDuringSale": "hic aut",
"typeId": 4
},
"id": 4,
"stable": {
"customerName": "Pascale McGlynn",
"customerEmail": "pascale.mcglynn@example.com",
"dataCaptureAnswers": [
{
"answer": "Some random answer for order four",
"id": 2
},
{
"answer": [
1,
2
],
"id": 3
}
],
"nationalId": null,
"passport": null,
"price": 200,
"validFrom": null,
"validTo": null,
"orderNotes": null,
"itemNotes": null
},
"variable": {
"nfcId": null,
"scannedBy": "Mrs. Lucinda Dach III",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"status": "scanned",
"ticketsInOrderCount": 1,
"ticketsInOrderScanned": 1
},
"zoneData": {
"accessToZones": [
{
"id": 1
}
],
"scans": [
{
"zoneId": 1,
"scan": "in",
"scannedOn": "2021-11-22T11:59:00.000000Z",
"uuid": "9accd6f2-39de-4608-b315-d925544a4e33"
}
]
}
}
],
"listEndTime": "2021-11-22T11:59:00.000000Z",
"total": 4,
"pagination": {
"first": "http:\\/\\/api.oconner.com\\/v1\\/events\\/tickets?event_id=1&page=1",
"last": "http:\\/\\/api.oconner.com\\/v1\\/events\\/tickets?event_id=1&page=1",
"prev": null,
"next": null,
"self": "http:\\/\\/api.oconner.com\\/v1\\/events\\/tickets?event_id=1&page=1"
},
"dataCaptureQuestions": [
{
"id": 1,
"question": "Atque sit beatae temporibus autem quam voluptas.",
"availableOptions": []
},
{
"id": 2,
"question": "Aut omnis perspiciatis praesentium saepe.",
"availableOptions": []
},
{
"id": 3,
"question": "Culpa et maiores ad molestiae consequatur vel.",
"availableOptions": [
{
"id": 1,
"value": "amet"
},
{
"id": 2,
"value": "voluptate"
},
{
"id": 3,
"value": "adipisci"
},
{
"id": 4,
"value": "voluptates"
},
{
"id": 5,
"value": "tenetur"
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.nuwebgroup.com/llms.txt
Use this file to discover all available pages before exploring further.
The 'Bearer' token can be obtained from the token management interface or via the login endpoint using your admin user credentials.
The ID of the company this operation should be performed against.
Sets the preferred language for localised response content (e.g. en, fr, de). If the requested language is not supported by the company, the company fallback language will be assumed.
The number of purchased items to retrieve per page. The maximum (and default) is 100 per page.
The event ID you wish to retrieve tickts for
When given, tickets that have a last modified at time greater than or equal to this value will be returned. Generally, you can use the listEndTime from the previous response to retrieve the next set items.
The last modified at time is calculated from taking the latest date/time from when:
When true, product barcodes will be included within the ticket list.
When true, the zone data for each specific ticket will be returned (for use with offline zones).